Bug 1380689 - hc.conf should contain volume options for the new features going to be supported for HCI
Summary: hc.conf should contain volume options for the new features going to be suppor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Devyani Kota
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-30 10:46 UTC by RamaKasturi
Modified: 2017-03-07 17:45 UTC (History)
7 users (show)

Fixed In Version: gdeploy-2.0.1-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:35:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description RamaKasturi 2016-09-30 10:46:22 UTC
Description of problem:
HCI is going to support new features for G.A which is granual-entry-selfheal, compound-fops and SSL. As part of this new volume options needs to be added to hc.conf. Options are :

cluster.granular-entry-heal  = on
cluster.use-compound-fops = on
auth.ssl-allow = ‘server1,server2..serverN
client.ssl = on
server.ssl = on

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
New volume options are not present as of now.

Expected results:
Volume options listed in the description should be added to hc.conf and 'gluster volume info <vol_name>' should list them.

Additional info:

Comment 2 Sachidananda Urs 2016-11-03 10:42:29 UTC
Kasturi,

(In reply to RamaKasturi from comment #0)
> Description of problem:
> HCI is going to support new features for G.A which is
> granual-entry-selfheal, compound-fops and SSL. As part of this new volume
> options needs to be added to hc.conf. Options are :
> 
> cluster.granular-entry-heal  = on
> cluster.use-compound-fops = on
> auth.ssl-allow = ‘server1,server2..serverN
> client.ssl = on
> server.ssl = on
> 

I think we do not need the options below:

auth.ssl-allow = ‘server1,server2..serverN
client.ssl = on
server.ssl = on

since these things are taken care of when ssl is enabled
using gdeploy. Is there any need to enable this options without
the need of using SSL?

Comment 3 RamaKasturi 2016-11-03 10:55:15 UTC
(In reply to Sachidananda Urs from comment #2)
> Kasturi,
> 
> (In reply to RamaKasturi from comment #0)
> > Description of problem:
> > HCI is going to support new features for G.A which is
> > granual-entry-selfheal, compound-fops and SSL. As part of this new volume
> > options needs to be added to hc.conf. Options are :
> > 
> > cluster.granular-entry-heal  = on
> > cluster.use-compound-fops = on
> > auth.ssl-allow = ‘server1,server2..serverN
> > client.ssl = on
> > server.ssl = on
> > 
> 
> I think we do not need the options below:
> 
> auth.ssl-allow = ‘server1,server2..serverN
> client.ssl = on
> server.ssl = on
> 
> since these things are taken care of when ssl is enabled
> using gdeploy. Is there any need to enable this options without
> the need of using SSL?

sac,okay. Agree that these options are not required if they are set during SSL enablement using gdeploy.

Comment 4 Devyani Kota 2016-11-03 11:49:26 UTC
Hi,
Here is the commit: https://github.com/gluster/gdeploy/commit/68b1f99300
This solves the issue.
Hence, changing status of the issue.
Thanks.

Comment 7 RamaKasturi 2016-12-08 17:04:21 UTC
verified and works fine with build gdeploy-2.0.1-6.el7rhgs.noarch. I see that values cluster.granular-entry-heal,cluster.use-compound-fops are set on the volumes through gdeploy.

Comment 9 errata-xmlrpc 2017-02-07 11:35:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.